Bug 1074046 - Review Request: telegram-cli - Linux Command-line interface for Telegram
Review Request: telegram-cli - Linux Command-line interface for Telegram
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
: 1075825 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-07 13:41 EST by Antonio Trande
Modified: 2014-05-11 22:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: telegram-cli-0-0.5.20140321git1dad2e.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-03 15:53:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2014-03-07 13:41:48 EST
Spec URL: http://sagitter.fedorapeople.org/telegram/telegram.spec
SRPM URL: http://sagitter.fedorapeople.org/telegram/telegram-0-0.1.20140307git8b78b6.fc20.src.rpm

Description: Telegram is an Open Source messaging platform for mobile and
desktop focused on privacy. 
This is a Linux Command-line interface for Telegram.

Fedora Account System Username: sagitter
Comment 1 Antonio Trande 2014-03-07 13:42:53 EST
Koji build in rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=6610536
Comment 2 Antonio Trande 2014-03-08 12:41:23 EST
Spec URL: http://sagitter.fedorapeople.org/telegram/telegram-cli.spec
SRPM URL: http://sagitter.fedorapeople.org/telegram/telegram-cli-0-0.2.20140307git8b78b6.fc20.src.rpm

Package renamed in telegram-cli.
Summary tag changed.
Comment 3 Parag AN(पराग) 2014-03-13 04:29:51 EDT
Note this package is again submitted by some other contributor with different package name. See bug 1075825.
Comment 4 Christopher Meng 2014-03-13 04:42:43 EDT
(In reply to Parag AN(पराग) from comment #3)
> Note this package is again submitted by some other contributor with
> different package name. See bug 1075825.

Agree.

However I think tg is the right name of this package.
Comment 5 Christopher Meng 2014-03-13 04:43:42 EDT
*** Bug 1075825 has been marked as a duplicate of this bug. ***
Comment 6 Antonio Trande 2014-03-13 11:28:05 EDT
(In reply to Christopher Meng from comment #4)
> However I think tg is the right name of this package.

In my opinion, this package must be named 'telegram-cli' for three reasons:

- 'tg' is too short
- The name 'telegram-cli' says immediately which platform this application supports.
- 'telegram-cli' is also the name used by upstream for the rpm packaging.

Spec URL: http://sagitter.fedorapeople.org/telegram/telegram.spec
SRPM URL: http://sagitter.fedorapeople.org/telegram/telegram-cli-0-0.3.20140312git046b8f.fc20.src.rpm
Comment 7 Christopher Meng 2014-03-13 11:41:37 EDT
(In reply to Antonio Trande from comment #6)
> (In reply to Christopher Meng from comment #4)
> > However I think tg is the right name of this package.
> 
> In my opinion, this package must be named 'telegram-cli' for three reasons:
> 
> - 'tg' is too short

No. This doesn't support anything.

> - The name 'telegram-cli' says immediately which platform this application
> supports.
> - 'telegram-cli' is also the name used by upstream for the rpm packaging.
> 
> Spec URL: http://sagitter.fedorapeople.org/telegram/telegram.spec
> SRPM URL:
> http://sagitter.fedorapeople.org/telegram/telegram-cli-0-0.3.
> 20140312git046b8f.fc20.src.rpm

Upstream clarification? Please ask upstream about this and post the feedback.
Comment 8 Antonio Trande 2014-03-15 07:46:08 EDT
(In reply to Christopher Meng from comment #7)
> (In reply to Antonio Trande from comment #6)
> > (In reply to Christopher Meng from comment #4)
> > > However I think tg is the right name of this package.
> > 
> > In my opinion, this package must be named 'telegram-cli' for three reasons:
> > 
> > - 'tg' is too short
> 
> No. This doesn't support anything.
> 
> > - The name 'telegram-cli' says immediately which platform this application
> > supports.
> > - 'telegram-cli' is also the name used by upstream for the rpm packaging.
> > 
> > Spec URL: http://sagitter.fedorapeople.org/telegram/telegram.spec
> > SRPM URL:
> > http://sagitter.fedorapeople.org/telegram/telegram-cli-0-0.3.
> > 20140312git046b8f.fc20.src.rpm
> 
> Upstream clarification? Please ask upstream about this and post the feedback.

https://github.com/vysheng/tg/issues/105
Comment 10 Matías Kreder 2014-03-15 09:07:16 EDT
I believe that server.pub should be placed in /etc/telegram instead of /etc/telegram-cli. Please check and use telegram instead of %{name} in the files section if needed.
Comment 11 Antonio Trande 2014-03-15 09:18:57 EDT
(In reply to Matías Kreder from comment #10)
> I believe that server.pub should be placed in /etc/telegram instead of
> /etc/telegram-cli. Please check and use telegram instead of %{name} in the
> files section if needed.

Hi Matías.

Effectively, by default, server.pub must be placed in /etc/telegram/server.pub directory, otherwise user must specify where to find it by '-k' option.
Comment 12 Antonio Trande 2014-03-15 09:20:40 EDT
>server.pub must be placed in /etc/telegram/server.pub directory

I meant, tg-server.pub must be placed in /etc/telegram/server.pub directory.
Comment 14 Christopher Meng 2014-04-22 23:45:24 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[X]: Package does not contain kernel modules.
[X]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 3 files have unknown
     license. Detailed output of licensecheck:

GPL (v2 or later)
-----------------
tg-90f6271261cef487d0259b773acc2fdb90c2f478/binlog.c
tg-90f6271261cef487d0259b773acc2fdb90c2f478/binlog.h
tg-90f6271261cef487d0259b773acc2fdb90c2f478/constants.h
tg-90f6271261cef487d0259b773acc2fdb90c2f478/include.h
tg-90f6271261cef487d0259b773acc2fdb90c2f478/interface.c
tg-90f6271261cef487d0259b773acc2fdb90c2f478/interface.h
tg-90f6271261cef487d0259b773acc2fdb90c2f478/loop.c
tg-90f6271261cef487d0259b773acc2fdb90c2f478/loop.h
tg-90f6271261cef487d0259b773acc2fdb90c2f478/main.c
tg-90f6271261cef487d0259b773acc2fdb90c2f478/mtproto-client.c
tg-90f6271261cef487d0259b773acc2fdb90c2f478/mtproto-client.h
tg-90f6271261cef487d0259b773acc2fdb90c2f478/mtproto-common.c
tg-90f6271261cef487d0259b773acc2fdb90c2f478/mtproto-common.h
tg-90f6271261cef487d0259b773acc2fdb90c2f478/net.c
tg-90f6271261cef487d0259b773acc2fdb90c2f478/net.h
tg-90f6271261cef487d0259b773acc2fdb90c2f478/no-preview.h
tg-90f6271261cef487d0259b773acc2fdb90c2f478/queries.c
tg-90f6271261cef487d0259b773acc2fdb90c2f478/queries.h
tg-90f6271261cef487d0259b773acc2fdb90c2f478/structures.c
tg-90f6271261cef487d0259b773acc2fdb90c2f478/structures.h
tg-90f6271261cef487d0259b773acc2fdb90c2f478/telegram.h
tg-90f6271261cef487d0259b773acc2fdb90c2f478/tools.c
tg-90f6271261cef487d0259b773acc2fdb90c2f478/tools.h
tg-90f6271261cef487d0259b773acc2fdb90c2f478/tree.h

Unknown or generated
--------------------
tg-90f6271261cef487d0259b773acc2fdb90c2f478/LICENSE.h
tg-90f6271261cef487d0259b773acc2fdb90c2f478/lua-tg.c
tg-90f6271261cef487d0259b773acc2fdb90c2f478/lua-tg.h

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0: https://github.com/vysheng/tg/archive
     /tg-90f6271261cef487d0259b773acc2fdb90c2f478.zip
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: telegram-cli-0-0.4.20140316git90f627.fc21.i686.rpm
          telegram-cli-0-0.4.20140316git90f627.fc21.src.rpm
telegram-cli.i686: W: no-manual-page-for-binary telegram
telegram-cli.src:9: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 9)
telegram-cli.src: W: invalid-url Source0: https://github.com/vysheng/tg/archive/tg-90f6271261cef487d0259b773acc2fdb90c2f478.zip HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint telegram-cli
telegram-cli.i686: W: no-manual-page-for-binary telegram
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
telegram-cli (rpmlib, GLIBC filtered):
    config(telegram-cli)
    libc.so.6
    libconfig.so.9
    libcrypto.so.10
    libcrypto.so.10(libcrypto.so.10)
    libdl.so.2
    liblua-5.2.so
    libm.so.6
    libreadline.so.6
    libz.so.1
    rtld(GNU_HASH)



Provides
--------
telegram-cli:
    config(telegram-cli)
    telegram-cli
    telegram-cli(x86-32)



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn telegram-cli-0-0.4.20140316git90f627.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-------------------------------
1. Syntax issue(tab/space)

PACKAGE APPROVED.
Comment 15 Antonio Trande 2014-04-23 10:35:12 EDT
Thanks.

New Package SCM Request
=======================
Package Name: telegram-cli
Short Description: Linux Command-line interface for Telegram
Owners: sagitter
Branches: f19 f20 el6 el7
Comment 16 Gwyn Ciesla 2014-04-24 08:45:52 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2014-04-24 11:15:14 EDT
telegram-cli-0-0.5.20140321git1dad2e.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/telegram-cli-0-0.5.20140321git1dad2e.el6
Comment 18 Fedora Update System 2014-04-24 11:15:24 EDT
telegram-cli-0-0.5.20140321git1dad2e.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/telegram-cli-0-0.5.20140321git1dad2e.fc20
Comment 19 Fedora Update System 2014-04-24 11:15:39 EDT
telegram-cli-0-0.5.20140321git1dad2e.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/telegram-cli-0-0.5.20140321git1dad2e.fc19
Comment 20 Fedora Update System 2014-04-25 17:56:58 EDT
Package telegram-cli-0-0.5.20140321git1dad2e.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing telegram-cli-0-0.5.20140321git1dad2e.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1231/telegram-cli-0-0.5.20140321git1dad2e.el6
then log in and leave karma (feedback).
Comment 21 Fedora Update System 2014-05-03 15:53:23 EDT
telegram-cli-0-0.5.20140321git1dad2e.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2014-05-03 15:54:59 EDT
telegram-cli-0-0.5.20140321git1dad2e.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2014-05-11 22:08:45 EDT
telegram-cli-0-0.5.20140321git1dad2e.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.